/**
 * Application routes with its version
 * https://github.com/Sairyss/backend-best-practices#api-versioning
 */

// Root
const usersRoot = 'users';
const walletsRoot = 'wallets';

// Api Versions
const v1 = 'v1';

export const routesV1 = {
  version: v1,
  user: {
    root: usersRoot,
    delete: `api/${usersRoot}/:id`,
  },
  wallet: {
    root: walletsRoot,
    delete: `api/${walletsRoot}/:id`,
  },
};
