export interface UserProps {
  password: string;
  phone_number: string;
  role_id: UserRoles;
  email: string;
  fullname: string;
}

export interface CreateUserProps {
  email: string;
  phone_number: string;
  password: string;
  fullname: string;
  role_id: number;
}

export interface UpdateUserProps {
  fullname: string;
  email: string;
  phone_number: string;
}

export enum UserRoles {
  admin = 1,
  user = 2
}