import { Command, CommandProps } from "@src/libs/ddd/base/command.base";

export class CreateUserCommand extends Command {
  readonly email: string;
  readonly password: string;
  readonly fullname: string;
  readonly phone_number: string;
  readonly role_id: number;

  constructor(props: CommandProps<CreateUserCommand>) {
    super(props);
    this.email = props.email;
    this.password = props.password;
    this.phone_number = props.phone_number;
    this.fullname = props.fullname;
    this.role_id = props.role_id;
  }
}